<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>World (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="World (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/World.html" target="_top">Frames</a></li>
<li><a href="World.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world</div>
<h2 title="Interface World" class="title">Interface World</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html" title="class in com.sk89q.worldedit.world">AbstractWorld</a>, <a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world">NullWorld</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">World</span>
extends <a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></pre>
<div class="block">Represents a world (dimension).</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#checkLoadedChunk-com.sk89q.worldedit.math.BlockVector3-">checkLoadedChunk</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Load the chunk at the given position if it isn't loaded.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#clearContainerBlockContents-com.sk89q.worldedit.math.BlockVector3-">clearContainerBlockContents</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Clear a chest's contents.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#createLiquidMask--">createLiquidMask</a></span>()</code>
<div class="block">Create a mask that matches all liquids.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-">dropItem</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
        <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;item)</code>
<div class="block">Drop one stack of the item at the given position.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-">dropItem</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
        <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;item,
        int&nbsp;count)</code>
<div class="block">Drop an item at the given position.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;other)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#fixAfterFastMode-java.lang.Iterable-">fixAfterFastMode</a></span>(java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;chunks)</code>
<div class="block">Fix the given chunks after fast mode was used.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#fixLighting-java.lang.Iterable-">fixLighting</a></span>(java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;chunks)</code>
<div class="block">Relight the given chunks if possible.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#generateTree-com.sk89q.worldedit.util.TreeGenerator.TreeType-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.math.BlockVector3-">generateTree</a></span>(<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&nbsp;type,
            <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
            <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Generate a tree at the given position.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#getBlockLightLevel-com.sk89q.worldedit.math.BlockVector3-">getBlockLightLevel</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get the light level at the given block.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#getMaxY--">getMaxY</a></span>()</code>
<div class="block">Get the maximum Y.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#getName--">getName</a></span>()</code>
<div class="block">Get the name of the world.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#getRemainingWeatherDuration--">getRemainingWeatherDuration</a></span>()</code>
<div class="block">Gets the remaining weather duration.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#getSpawnPosition--">getSpawnPosition</a></span>()</code>
<div class="block">Gets the spawn position of this world.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#getWeather--">getWeather</a></span>()</code>
<div class="block">Gets the weather type of the world.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#notifyAndLightBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockState-">notifyAndLightBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                   <a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;previousType)</code>
<div class="block">Notifies the simulation that the block at the given location has
 been changed and it must be re-lighted (and issue other events).</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#playEffect-com.sk89q.worldedit.math.Vector3-int-int-">playEffect</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
          int&nbsp;type,
          int&nbsp;data)</code>
<div class="block">Play the given effect.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#queueBlockBreakEffect-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockType-double-">queueBlockBreakEffect</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;server,
                     <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                     <a href="../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType,
                     double&nbsp;priority)</code>
<div class="block">Queue a block break effect.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#regenerate-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.EditSession-">regenerate</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
          <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</code>
<div class="block">Regenerate an area.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>&lt;B extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-boolean-">setBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
        B&nbsp;block,
        boolean&nbsp;notifyAndLight)</code>
<div class="block">Similar to <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-"><code>OutputExtent.setBlock(BlockVector3, BlockStateHolder)</code></a> but a
 <code>notifyAndLight</code> parameter indicates whether adjacent blocks
 should be notified that changes have been made and lighting operations
 should be executed.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#setWeather-com.sk89q.worldedit.world.weather.WeatherType-">setWeather</a></span>(<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;weatherType)</code>
<div class="block">Sets the weather type of the world.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#setWeather-com.sk89q.worldedit.world.weather.WeatherType-long-">setWeather</a></span>(<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;weatherType,
          long&nbsp;duration)</code>
<div class="block">Sets the weather type of the world.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#simulateBlockMine-com.sk89q.worldedit.math.BlockVector3-">simulateBlockMine</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Simulate a block being mined at the given position.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/World.html#useItem-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.blocks.BaseItem-com.sk89q.worldedit.util.Direction-">useItem</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
       <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks">BaseItem</a>&nbsp;item,
       <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;face)</code>
<div class="block">Use the given item on the block at the given location on the given side.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.Extent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a>, <a href="../../../../com/sk89q/worldedit/extent/Extent.html#getEntities--">getEntities</a>, <a href="../../../../com/sk89q/worldedit/extent/Extent.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a>, <a href="../../../../com/sk89q/worldedit/extent/Extent.html#getMaximumPoint--">getMaximumPoint</a>, <a href="../../../../com/sk89q/worldedit/extent/Extent.html#getMinimumPoint--">getMinimumPoint</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.InputExtent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.OutputExtent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#commit--">commit</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>java.lang.String&nbsp;getName()</pre>
<div class="block">Get the name of the world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a name for the world</dd>
</dl>
</li>
</ul>
<a name="getMaxY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxY</h4>
<pre>int&nbsp;getMaxY()</pre>
<div class="block">Get the maximum Y.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the maximum Y</dd>
</dl>
</li>
</ul>
<a name="createLiquidMask--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createLiquidMask</h4>
<pre><a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;createLiquidMask()</pre>
<div class="block">Create a mask that matches all liquids.

 <p>Implementations should override this so that custom liquids
 are supported.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a mask</dd>
</dl>
</li>
</ul>
<a name="useItem-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.blocks.BaseItem-com.sk89q.worldedit.util.Direction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useItem</h4>
<pre>boolean&nbsp;useItem(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks">BaseItem</a>&nbsp;item,
                <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;face)</pre>
<div class="block">Use the given item on the block at the given location on the given side.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - The item</dd>
<dd><code>face</code> - The face</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Whether it succeeded</dd>
</dl>
</li>
</ul>
<a name="setBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-boolean-">
<!--   -->
</a><a name="setBlock-com.sk89q.worldedit.math.BlockVector3-B-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlock</h4>
<pre>&lt;B extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;&nbsp;boolean&nbsp;setBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                                                 B&nbsp;block,
                                                 boolean&nbsp;notifyAndLight)
                                          throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Similar to <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-"><code>OutputExtent.setBlock(BlockVector3, BlockStateHolder)</code></a> but a
 <code>notifyAndLight</code> parameter indicates whether adjacent blocks
 should be notified that changes have been made and lighting operations
 should be executed.

 <p>If it's not possible to skip lighting, or if it's not possible to
 avoid notifying adjacent blocks, then attempt to meet the
 specification as best as possible.</p>

 <p>On implementations where the world is not simulated, the
 <code>notifyAndLight</code> parameter has no effect either way.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dd><code>block</code> - block to set</dd>
<dd><code>notifyAndLight</code> - true to to notify and light</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully set (return value may not be accurate)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="notifyAndLightBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notifyAndLightBlock</h4>
<pre>boolean&nbsp;notifyAndLightBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                            <a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;previousType)
                     throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Notifies the simulation that the block at the given location has
 been changed and it must be re-lighted (and issue other events).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dd><code>previousType</code> - the type of the previous block that was there</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully notified</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlockLightLevel-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockLightLevel</h4>
<pre>int&nbsp;getBlockLightLevel(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block">Get the light level at the given block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the light level (0-15)</dd>
</dl>
</li>
</ul>
<a name="clearContainerBlockContents-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearContainerBlockContents</h4>
<pre>boolean&nbsp;clearContainerBlockContents(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block">Clear a chest's contents.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the container was cleared</dd>
</dl>
</li>
</ul>
<a name="dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dropItem</h4>
<pre>void&nbsp;dropItem(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
              <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;item,
              int&nbsp;count)</pre>
<div class="block">Drop an item at the given position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dd><code>item</code> - the item to drop</dd>
<dd><code>count</code> - the number of individual stacks to drop (number of item entities)</dd>
</dl>
</li>
</ul>
<a name="dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dropItem</h4>
<pre>void&nbsp;dropItem(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
              <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;item)</pre>
<div class="block">Drop one stack of the item at the given position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dd><code>item</code> - the item to drop</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../com/sk89q/worldedit/world/World.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-"><code>shortcut method to specify the number of stacks</code></a></dd>
</dl>
</li>
</ul>
<a name="simulateBlockMine-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>simulateBlockMine</h4>
<pre>void&nbsp;simulateBlockMine(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block">Simulate a block being mined at the given position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
</dl>
</li>
</ul>
<a name="regenerate-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.EditSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>regenerate</h4>
<pre>boolean&nbsp;regenerate(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
                   <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</pre>
<div class="block">Regenerate an area.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region</dd>
<dd><code>editSession</code> - the <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if re-generation was successful</dd>
</dl>
</li>
</ul>
<a name="generateTree-com.sk89q.worldedit.util.TreeGenerator.TreeType-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateTree</h4>
<pre>boolean&nbsp;generateTree(<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&nbsp;type,
                     <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                     <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)
              throws <a href="../../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a></pre>
<div class="block">Generate a tree at the given position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - the tree type</dd>
<dd><code>editSession</code> - the <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a></dd>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if generation was successful</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a></code> - thrown if too many blocks were changed</dd>
</dl>
</li>
</ul>
<a name="checkLoadedChunk-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkLoadedChunk</h4>
<pre>void&nbsp;checkLoadedChunk(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block">Load the chunk at the given position if it isn't loaded.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
</dl>
</li>
</ul>
<a name="fixAfterFastMode-java.lang.Iterable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixAfterFastMode</h4>
<pre>void&nbsp;fixAfterFastMode(java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;chunks)</pre>
<div class="block">Fix the given chunks after fast mode was used.

 <p>Fast mode makes calls to <a href="../../../../com/sk89q/worldedit/world/World.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-boolean-"><code>setBlock(BlockVector3, BlockStateHolder, boolean)</code></a>
 with <code>false</code> for the <code>notifyAndLight</code> parameter, which
 may causes lighting errors to accumulate. Use of this method, if
 it is implemented by the underlying world, corrects those lighting
 errors and may trigger block change notifications.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>chunks</code> - a list of chunk coordinates to fix</dd>
</dl>
</li>
</ul>
<a name="fixLighting-java.lang.Iterable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixLighting</h4>
<pre>void&nbsp;fixLighting(java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;chunks)</pre>
<div class="block">Relight the given chunks if possible.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>chunks</code> - a list of chunk coordinates to fix</dd>
</dl>
</li>
</ul>
<a name="playEffect-com.sk89q.worldedit.math.Vector3-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playEffect</h4>
<pre>boolean&nbsp;playEffect(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
                   int&nbsp;type,
                   int&nbsp;data)</pre>
<div class="block">Play the given effect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dd><code>type</code> - the effect type</dd>
<dd><code>data</code> - the effect data</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the effect was played</dd>
</dl>
</li>
</ul>
<a name="queueBlockBreakEffect-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockType-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queueBlockBreakEffect</h4>
<pre>boolean&nbsp;queueBlockBreakEffect(<a href="../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;server,
                              <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                              <a href="../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType,
                              double&nbsp;priority)</pre>
<div class="block">Queue a block break effect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>server</code> - the server</dd>
<dd><code>position</code> - the position</dd>
<dd><code>blockType</code> - the block type</dd>
<dd><code>priority</code> - the priority</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the effect was played</dd>
</dl>
</li>
</ul>
<a name="getWeather--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeather</h4>
<pre><a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;getWeather()</pre>
<div class="block">Gets the weather type of the world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The weather</dd>
</dl>
</li>
</ul>
<a name="getRemainingWeatherDuration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemainingWeatherDuration</h4>
<pre>long&nbsp;getRemainingWeatherDuration()</pre>
<div class="block">Gets the remaining weather duration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The weather duration</dd>
</dl>
</li>
</ul>
<a name="setWeather-com.sk89q.worldedit.world.weather.WeatherType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWeather</h4>
<pre>void&nbsp;setWeather(<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;weatherType)</pre>
<div class="block">Sets the weather type of the world.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>weatherType</code> - The weather type</dd>
</dl>
</li>
</ul>
<a name="setWeather-com.sk89q.worldedit.world.weather.WeatherType-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWeather</h4>
<pre>void&nbsp;setWeather(<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;weatherType,
                long&nbsp;duration)</pre>
<div class="block">Sets the weather type of the world.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>weatherType</code> - The weather type</dd>
<dd><code>duration</code> - The duration of the weather</dd>
</dl>
</li>
</ul>
<a name="getSpawnPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpawnPosition</h4>
<pre><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getSpawnPosition()</pre>
<div class="block">Gets the spawn position of this world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The spawn position</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>boolean&nbsp;equals(java.lang.Object&nbsp;other)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/World.html" target="_top">Frames</a></li>
<li><a href="World.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
